Bug 32942 - Simplified wizard for UCC computer creation
Simplified wizard for UCC computer creation
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS Integration
unspecified
Other Linux
: P1 enhancement
: UCC 2.0
Assigned To: Lukas Walter
Moritz Muehlenhoff
: interim-2
Depends on: 23214 32902 32963
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 10:32 CEST by Dirk Wiesenthal
Modified: 2014-06-12 09:19 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments
ucc.js (1.37 KB, patch)
2013-12-13 11:13 CET, Dirk Wiesenthal
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-10-22 10:32:58 CEST
Add a wizard for creating computers/ucc

+++ This bug was initially created as a clone of Bug #23214 +++

Das Anlegen neuer Benutzer im UMC-UDM-Modul sollte über einen kleinen Wizard geschehen, der alle notwendigen Daten in einem Popup-Dialog abfragt. Danach sollte es aus dem Dialog heraus die Möglichkeit geben einen neuen Benutzer anzulegen, die Details des Benutzers zu bearbeiten (→ normale Detailansicht), zurück zur Suche zu gelangen.
Comment 1 Dirk Wiesenthal univentionstaff 2013-12-13 11:13:16 CET
Created attachment 5697 [details]
ucc.js

Install in /usr/share/univention-management-console-frontend/js/umc/modules/udm/wizards/computers/
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-09 10:15:18 CEST
The following values should be configurable:


[..............]     [..............]
UCC client name (*)   Network 

[..............]    [..............]
MAC address         IP address

[..............]    [..............]
Boot variant        Image
Comment 3 Lukas Walter univentionstaff 2014-04-09 14:02:51 CEST
The appended wizard does not fit all requirements of a proper UCC wizard, as it lacks Widgets for Boot Variant and Image.

A custom wizard, derived from the default computer wizard, has been added.


ucc-management-integration (2.0.2-1) unstable; urgency=low

  * added wizard for UCC computer creation (Bug #32942)

svn 49207
Changelog: svn 49208
Comment 4 Moritz Muehlenhoff univentionstaff 2014-04-11 08:56:01 CEST
Ok, working well.
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:45 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".